import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, o = p.length - 1, l; o >= 0; o--)
    (l = p[o]) && (e = (t ? l(r, i, e) : l(e)) || e);
  return t && e && g(r, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--drinkLarge", this.class = "c-pieIcon c-pieIcon--drinkLarge", this.name = "IconDrinkLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--drinkLarge"><path d="M24.75 9.875h-7.875V6.13l4.655-1.505-.56-1.663-5.845 1.908v5.005H7.25v1.75h1.566l1.374 15.111a2.625 2.625 0 0 0 2.625 2.389h6.388a2.625 2.625 0 0 0 2.625-2.389l1.356-15.111h1.566v-1.75Zm-5.556 17.5h-6.388a.875.875 0 0 1-.875-.796l-.875-9.127a4.663 4.663 0 0 1 4.752.158 7.963 7.963 0 0 0 3.762 1.015c.41-.003.82-.038 1.225-.105l-.735 8.059a.875.875 0 0 1-.866.796Zm1.75-10.666a5.915 5.915 0 0 1-4.375-.674 6.23 6.23 0 0 0-5.679-.403l-.315-4.007h10.85l-.481 5.084Z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  f("icon-drink-large")
], s);
export {
  s as IconDrinkLarge
};
